<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.system.mapper.notice.XiaoyuanNoticeMapper">

    <resultMap type="org.dromara.system.domain.notice.vo.XiaoyuanNoticeVo" id="XiaoyuanNoticeResult">
        <result property="noticeId" column="notice_id"/>
        <result property="image" column="image"/>
        <result property="noticeTitle" column="notice_title"/>
        <result property="noticeType" column="notice_type"/>
        <result property="noticeContent" column="notice_content"/>
        <result property="status" column="status"/>
        <result property="type" column="type"/>
        <result property="classIdKeJian" column="class_id_kejian"/>
        <result property="classIdBuKeJian" column="class_id_bukejian"/>
        <result property="senderId" column="sender_id"/>
        <result property="senderName" column="sender_name"/>
        <result property="senderDept" column="sender_dept"/>
        <result property="remark" column="remark"/>
        <result property="avatar" column="avatar"/>
        <result property="schoolName" column="school_name"/>
        <result property="comment" column="comment"/>
        <result property="prised" column="prised"/>
        <result property="collect" column="collect"/>
    </resultMap>
    <sql id="selectXiaoyuanNoticeVo">
        select notice_id, image, notice_title, notice_type, notice_content, status, type,school_name,avatar, sender_id, sender_name, sender_dept, create_by, create_time, update_by, update_time, remark,collect,prised,comment from xiaoyuan_notice
    </sql>
    <select id="selectXiaoyuanNoticeByMyCollect"
            resultMap="XiaoyuanNoticeResult">
        <include refid="selectXiaoyuanNoticeVo"/>
        ${ew.getCustomSqlSegment}
    </select>
    <select id="selectXiaoyuanNoticeMyList" resultMap="XiaoyuanNoticeResult">
        <include refid="selectXiaoyuanNoticeVo"/>
        where sender_id = #{senderId} order by create_time DESC
    </select>
</mapper>
